
QGIS Application - Bug report #2718

selecting too large symbol size takes ages to display

2010-05-14 07:08 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12778

Description

If a too large symbol size is selected (e.g. 2000), QGIS freezes for several minutes

History

#1 - 2010-09-19 07:04 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed

Seems solved now

#2 - 2010-09-22 03:11 AM - Paolo Cavallini

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Confirmed with current trunk, both on 32 and 64 bit. Raising the priority, as the system can become so slow to be unusable, and the user may be forced to

reboot, thus losing data.

#3 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:24 AM - Paolo Cavallini

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

#5 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2013-09-09 05:45 AM - Paolo Cavallini

- Status changed from Feedback to Open

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

#7 - 2014-05-08 11:40 AM - Anita Graser
Just tested in master now and the problem seems to be gone.

#8 - 2014-05-08 11:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version deleted (Version 2.0.0)

- Operating System deleted (All)

- Status info deleted (0)

#9 - 2014-05-08 10:58 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
